[Overview][Constants][Classes][Procedures and functions][Index] | Reference for unit 'ExtDlgs' (#lcl)

# TCalculatorDialog.OnDialogClose

Implements the event handler signalled when the dialog is closed.

## Declaration

Source position: extdlgs.pas line 161

`protected procedure TCalculatorDialog.OnDialogClose(`
`Sender: TObject;`
`var CloseAction: TCloseAction`
`);`

## Arguments

`Sender` |  | Object for the event notification.
`CloseAction` |  | Action performed to close the dialog.

## Description

OnDialogClose implements the event handler signalled when the dialog form is closed. OnDialogClose calls the DoClose method to execute the OnClose event handler (when assigned).

OnDialogClose is assigned as the OnClose event handler for the form in DlgForm in the Execute method.

## See also

TCalculatorDialog.OnDialogClose |  | Implements the event handler signalled when the dialog is closed.
TCommonDialog.OnClose |  | Event handler signalled when the dialog is closed.
TCommonDialog.Execute |  | Displays the dialog and captures the result.